Bug 65188 - Unable to control ups from the command line
Unable to control ups from the command line
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: nut (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-19 15:11 EDT by Tom Diehl
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-05 09:31:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Diehl 2002-05-19 15:11:28 EDT
From Bugzilla Helper: 
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.0.0-10; en) 
 
Description of problem: 
After upgrading to 7.3 I am no longer able to send instant commands to the 
ups. It will not allow me to authenticate. 
 
Version-Release number of selected component (if applicable): 
 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
1.Send  upscmd -u admin -p passwd  ups@localhost fptest to the ups. 
  
 
Actual Results:  Instant command failed: Access denied 
 
Expected Results:  Ups should perform a front panel test. 
 
Additional info: 
 
It appears that the config file formats for nut have changed and that someone 
updated the but rpm to the latest version of nut without checking what they 
were upgrading to. There are various man pages missing and the config files in 
some cases do not even have the same names. More info available upon request.
Comment 1 Ngo Than 2002-06-02 11:22:51 EDT
you have to set the permissions for the information server upsd in  
/etc/ups/upsd.users.  
  
I will add more man pages in 0.45.4-3. You will find it in the next rawhide 
release
Comment 2 Tom Diehl 2002-06-02 22:48:14 EDT
What does that mean?? Set the permissions to what?? What is "the information 
server upsd"??   
  
I have an /etc/ups/uspd.users that works when I use the rpms from 
exploits.com.  
When I use the rpms from redhat it does not work. Same file, same permissions. 
Comment 3 Tom Diehl 2004-02-05 09:31:46 EST
I am closing this since obviously no one is interested. Besides I am
not sure if it is still an issue or not.

Note You need to log in before you can comment on or make changes to this bug.